Previous: wcsdup, Up: Strings [Contents][Index]

### 5.49 `wcsncasecmp`—case-insensitive wide character string compare

Synopsis

    #include <wchar.h>
    int wcsncasecmp(const wchar_t *a, const wchar_t * b, size_t length);

Description
`wcsncasecmp` compares up to length wide characters from the string at a to the string at b in a case-insensitive manner.

Returns

If `*a` sorts lexicographically after `*b` (after both are converted to uppercase), `wcsncasecmp` returns a number greater than zero. If the two strings are equivalent, `wcsncasecmp` returns zero. If `*a` sorts lexicographically before `*b`, `wcsncasecmp` returns a number less than zero.

Portability
POSIX-1.2008

`wcsncasecmp` requires no supporting OS subroutines. It uses tolower() from elsewhere in this library.